MIDIDINGS(1)

NAME
mididings - MIDI router and processor

SYNOPSIS
mididings [options] "patch"

mididings [options] -f filename

DESCRIPTION
mididings is a MIDI router and processor based on Python, supporting ALSA and JACK MIDI.

Many features are provided:

MIDI routing and filtering
    Filter events depending on their event type, channel, note number, velocity, etc., and freely route them between an arbitrary number of input and output ports.

Modifying and converting MIDI events
    Transpose notes, apply velocity curves, change controller values and ranges, or convert events to any other MIDI event type. mididings also includes more complex functions like a diatonic harmonizer, floating split points, latched notes, and more.

Seamless switching between patches
    Set up different "scenes", each with its own MIDI routing and processing, and switch between them at any time, even while playing. Switching scenes does not affect notes already held, and does not result in dropouts or stuck notes!

MIDI event monitoring, running external commands
    Print MIDI event data to the console to help debugging your patches and configuring your MIDI controllers. In addition to its MIDI output, mididings can also execute shell commands and send OSC or DBUS messages.

OPTIONS

-h, --help
    show this help message and exit

-b BACKEND
    name of backend to use

-c CLIENT_NAME
    ALSA or JACK client name

-i IN_PORTS
    number of input ports

-o OUT_PORTS
    number of output ports

-d START_DELAY
    delay (in seconds) before starting MIDI processing

-f FILENAME
    filename of script to run

SEE ALSO
livedings(1)

AUTHOR
mididings was written by Dominic Sacré <dominic.sacre@gmx.de>.

This manual page was written by Alessio Treglia <alessio@debian.org>, for the Debian project (and may be used by others).